---
title: GlobalEventHandlers.onclick
slug: Web/API/GlobalEventHandlers/onclick
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<p>{{ ApiRef("HTML DOM") }}</p>

<p>The <code><strong>onclick</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{domxref("Element/click_event", "click")}} events on a given element.</p>

<p>The <code>click</code> event is raised when the user clicks on an element. It fires after the {{domxref("Element/mousedown_event", "mousedown")}} and {{domxref("Element/mouseup_event", "mouseup")}} events, in that order.</p>

<div class="note"><strong>Note:</strong> When using the <code>click</code> event to trigger an action, also consider adding this same action to the {{domxref("Element/keydown_event", "keydown")}} event, to allow the use of that same action by people who don't use a mouse or a touch screen.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>target</var>.onclick = <var>functionRef</var>;
</pre>

<h3 id="Value">Value</h3>

<p><code><var>functionRef</var></code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("MouseEvent")}} object as its sole argument. Within the function, {{jsxref("Operators/this", "this")}} will be the object that <code>onclick</code> was bound too (which will also match <code>event.currentTarget</code>)</p>

<p>Only one <code>onclick</code> handler can be assigned to an object at a time. You may prefer to use the {{domxref("EventTarget.addEventListener()")}} method instead, since it's more flexible.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Detecting_clicks">Detecting clicks</h3>

<p>This example changes the color of an element when it's clicked upon.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush:html notranslate">&lt;div id="demo"&gt;Click here&lt;/div&gt;</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">document.getElementById('demo').onclick = function changeContent() {

   document.getElementById('demo').textContent = "Help me";
   document.getElementById('demo').style = "Color: red";

}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Detecting_clicks")}}</p>

<h3 id="Getting_the_coordinates_of_clicks">Getting the coordinates of clicks</h3>

<p>This example displays the coordinates at which the most recent mouse button click occurred.</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush:html notranslate">&lt;p&gt;Click anywhere in this example.&lt;/p&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h4 id="JavaScript_2">JavaScript</h4>

<pre class="brush: js notranslate">let log = document.getElementById('log');

document.onclick = inputChange;

function inputChange(e) {
  log.textContent = `Position: (${e.clientX}, ${e.clientY})`;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Getting_the_coordinates_of_clicks")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onclick','onclick')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onclick")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Element/click_event", "click")}} event</li>
 <li>Related event handlers
  <ul>
   <li>{{domxref("GlobalEventHandlers.onauxclick")}}</li>
   <li>{{domxref("GlobalEventHandlers.ondblclick")}}</li>
  </ul>
 </li>
</ul>
